### robocode.control.snapshot

# Interface IBulletSnapshot

`public interface IBulletSnapshot`

Interface of a bullet snapshot.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

  ## Method Summary

  `int`

  `getColor()`
    Returns the color of the bullet.

  `int`

  `getExplosionImageIndex()`
    Returns the index to which explosion image that must be rendered.

  `int`

  `getFrame()`
    Returns the frame number to display.

  `double`

  `getPaintX()`
    Returns the x coordinate where to paint the bullet.

  `double`

  `getPaintY()`
    Returns the y coordinate where to paint the bullet.

  `double`

  `getPower()`
    Returns the bullet power.

  `BulletState`

  `getState()`
    Returns the bullet state.

  `double`

  `getX()`
    Returns the x coordinate of the bullet.

  `double`

  `getY()`
    Returns the y coordinate of the bullet.

  `boolean`

  `isExplosion()`
    Returns the flag specifying if this bullet has turned into an explosion.

## Method Details

### getColor

    public int getColor()

> Returns the color of the bullet.
> Returns:
>   a RGBA color value. (Bits 24-31 are alpha, 16-23 are red, 8-15 are green, 0-7 are blue)
> See Also:
>   `Color.getRGB()`

### getExplosionImageIndex

    public int getExplosionImageIndex()

> Returns the index to which explosion image that must be rendered.
> Returns:
>   the index to which explosion image that must be rendered.

### getFrame

    public int getFrame()

> Returns the frame number to display.
> Returns:
>   the frame number to display.

### getPaintX

    public double getPaintX()

> Returns the x coordinate where to paint the bullet.
> Returns:
>   the x coordinate where to paint the bullet.

### getPaintY

    public double getPaintY()

> Returns the y coordinate where to paint the bullet.
> Returns:
>   the y coordinate where to paint the bullet.

### getPower

    public double getPower()

> Returns the bullet power.
> Returns:
>   the bullet power.

### getState

    public BulletState getState()

> Returns the bullet state.
> Returns:
>   the bullet state.

### getX

    public double getX()

> Returns the x coordinate of the bullet.
> Returns:
>   the x coordinate of the bullet.

### getY

    public double getY()

> Returns the y coordinate of the bullet.
> Returns:
>   the y coordinate of the bullet.

### isExplosion

    public boolean isExplosion()

> Returns the flag specifying if this bullet has turned into an explosion.
> Returns:
>   `true` if this bullet has turned into an explosion; `false` otherwise